{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "touch"
            ],
            "inputs": [],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "readme.txt"
                }
            ],
            "id": "#create_readme.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#create_readme.cwl/readme_file"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/accession"
                },
                {
                    "type": "string",
                    "id": "#main/link_to_publication"
                },
                {
                    "type": "string",
                    "id": "#main/organization"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/url_genomic_fasta"
                }
            ],
            "steps": [
                {
                    "run": "#create_readme.cwl",
                    "in": [],
                    "out": [
                        "#main/create_readme/readme_file"
                    ],
                    "id": "#main/create_readme"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#main/organization",
                            "id": "#main/writeFirstLine/organization"
                        },
                        {
                            "source": "#main/create_readme/readme_file",
                            "id": "#main/writeFirstLine/readme_file"
                        }
                    ],
                    "out": [
                        "#main/writeFirstLine/out_readme_file"
                    ],
                    "id": "#main/writeFirstLine"
                },
                {
                    "run": "#writeInfo.cwl",
                    "in": [
                        {
                            "source": "#main/accession",
                            "id": "#main/writeInfo/accession"
                        },
                        {
                            "source": "#main/link_to_publication",
                            "id": "#main/writeInfo/link_to_publication"
                        },
                        {
                            "source": "#main/writeURL/out_readme_file",
                            "id": "#main/writeInfo/readme_file"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/writeInfo/scientific_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/writeInfo/tree"
                        }
                    ],
                    "out": [
                        "#main/writeInfo/out_readme_file"
                    ],
                    "id": "#main/writeInfo"
                },
                {
                    "run": "#writeLastLine.cwl",
                    "in": [
                        {
                            "source": "#main/writeInfo/out_readme_file",
                            "id": "#main/writeLastLine/readme_file"
                        }
                    ],
                    "out": [
                        "#main/writeLastLine/out_readme_file"
                    ],
                    "id": "#main/writeLastLine"
                },
                {
                    "run": "#writeURL.cwl",
                    "in": [
                        {
                            "source": "#main/writeFirstLine/out_readme_file",
                            "id": "#main/writeURL/readme_file"
                        },
                        {
                            "source": "#main/url_genomic_fasta",
                            "id": "#main/writeURL/url"
                        }
                    ],
                    "out": [
                        "#main/writeURL/out_readme_file"
                    ],
                    "id": "#main/writeURL"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/create_readme/readme_file",
                    "id": "#main/readme_file"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#writeFirstLine.cwl/organization"
                },
                {
                    "type": "File",
                    "id": "#writeFirstLine.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo 'The following files were retrieved from $(inputs.organization) on ${var A = new Date(); var year = A.getFullYear(); var month = A.getMonth()+1; var day = A.getDate(); var date = year + '-' + day + '-' + month;  return date;}:' > readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeFirstLine.cwl/out_readme_file"
                }
            ],
            "id": "#writeFirstLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#writeInfo.cwl/accession"
                },
                {
                    "type": "string",
                    "id": "#writeInfo.cwl/link_to_publication"
                },
                {
                    "type": "File",
                    "id": "#writeInfo.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeInfo.cwl/tree"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nInformation about this dataset can be found here: https://i5k.nal.usda.gov/content/${ var A = inputs.scientific_name[0].toLowerCase(); return A; }-$(inputs.scientific_name[1])-genome-assembly-${ var A = inputs.tree[1].toLowerCase().replace('.','').replace('_',''); return A; }-${ var A = inputs.accession.toLowerCase().replace('.','').replace('_',''); return A; }\nInformation about the publications of this dataset can be found here: $(inputs.link_to_publication)' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeInfo.cwl/out_readme_file"
                }
            ],
            "id": "#writeInfo.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeLastLine.cwl/readme_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '\nThe file [file] was post-processed to [describe post-processing, if any]. The resulting file is: [Filename]. This file was used for all operations within the i5k Workspace.' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeLastLine.cwl/out_readme_file"
                }
            ],
            "id": "#writeLastLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.readme_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeURL.cwl/readme_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeURL.cwl/url"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '$(inputs.url[0])' >> readme.txt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "readme.txt"
                    },
                    "id": "#writeURL.cwl/out_readme_file"
                }
            ],
            "id": "#writeURL.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
